package cn.palmte.work.service.map;

import cn.palmte.work.config.SystemConfigWithMemory;

import java.util.Set;

/**
 * 为以后引入redis做准备，实现此接口并替换实现即可{@link SystemConfigWithMemory#simpleMap()}
 * @author xiongshiyan at 2021/5/18 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public interface SimpleMap<K,V> {
    V get(K k);
    void set(K k,V v,long expireIns);
    V delete(K k);
    Set<K> keys();
}
